Page MenuHomePhabricator

InternetArchiveBot breaking references using {{webarchive}}
Closed, ResolvedPublic

Description

Basically, the bot is deleting everything from {{webarchive}} apart from the url in the ?url= part of the archive url, and appending it the citation template with an empty parameter name (just a pipe and then a equals sign), e.g.

<ref name="MCT Cowper leads">{{cite news |last1=Burgess |first1=Jill |title=Cowper Leads Push |url=http://www.inmycommunity.com.au/news-and-views/local-news/Cowper-leads-push/7655635/ |accessdate=6 June 2014 |work=Mandurah Coastal Times |date=22 January 2014 |archiveurl=https://web.archive.org/web/20140606014639/http://www.inmycommunity.com.au/news-and-views/local-news/Cowper-leads-push/7655635/ |archivedate=6 June 2014 |deadurl=no}} {{webarchive |format=addlarchives |url=https://www.webcitation.org/6VaYrmu2q?url=http://www.inmycommunity.com.au/news-and-views/local-news/Cowper-leads-push/7655635/ |date=15 January 2015}}</ref>

got turned into

<ref name="MCT Cowper leads">{{cite news |last1=Burgess |first1=Jill |title=Cowper Leads Push |url=http://www.inmycommunity.com.au/news-and-views/local-news/Cowper-leads-push/7655635/ |accessdate=6 June 2014 |work=Mandurah Coastal Times |date=22 January 2014 |archiveurl=https://web.archive.org/web/20140606014639/http://www.inmycommunity.com.au/news-and-views/local-news/Cowper-leads-push/7655635/ |archivedate=6 June 2014 |deadurl=no |=http://www.inmycommunity.com.au/news-and-views/local-news/Cowper-leads-push/7655635/ }}</ref>

See https://en.wikipedia.org/w/index.php?title=Forrest_Highway&diff=854660367&oldid=847603627 for that and several other examples.

Event Timeline

Evad37 created this task.Aug 13 2018, 7:50 AM
Restricted Application added a project: Internet-Archive. · View Herald TranscriptAug 13 2018, 7:50 AM
Evad37 updated the task description. (Show Details)Aug 13 2018, 7:52 AM

It looks like IABot is trying to merge the templates. If so, that should not occur.

{{webarchive |format=addlarchives

is a special form of {{webarchive}} designed to be placed following a {{cite web}} so that it read "Additional archives at .." thus possible to have multiple archive links

I can't replicate this problem on beta7. Do you have more examples I can work with?

This appears to be fixed in beta7.

Cyberpower678 closed this task as Resolved.Aug 20 2018, 10:10 PM